Package org.eclipse.mat.internal.collectionextract

# Class FieldSizeArrayCollectionExtractor

java.lang.Object
org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor
org.eclipse.mat.internal.collectionextract.FieldSizeArrayCollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`

Direct Known Subclasses:
  `ArrayListSubListCollectionExtractor`, `FieldSizeArrayMapExtractor`, `FieldSizedCapacityCollectionExtractor`, `IdentityHashMapCollectionExtractor`, `RegularEnumSetExtractor`

public class FieldSizeArrayCollectionExtractor extends FieldArrayCollectionExtractor

## Constructor Summary

Constructors
Constructor
Description
`FieldSizeArrayCollectionExtractor(String sizeField, String arrayField)`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getSize(IObject coll)`
Extract the size of the collection.
`boolean`
`hasSize()`
Check if the size of the collection can be extracted.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor

`extractEntries, extractEntryIds, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldSizeArrayCollectionExtractor

public FieldSizeArrayCollectionExtractor(String sizeField, String arrayField)

## Method Details

### hasSize

public boolean hasSize()
Description copied from interface: `ICollectionExtractor`
Check if the size of the collection can be extracted.

Specified by:
  `hasSize` in interface `ICollectionExtractor`
Overrides:
  `hasSize` in class `FieldArrayCollectionExtractor`
Returns:
  true if `ICollectionExtractor.getSize(IObject)` could be called
See Also:
  - `ICollectionExtractor.getSize(IObject)`

### getSize

public Integer getSize(IObject coll) throws SnapshotException
Description copied from interface: `ICollectionExtractor`
Extract the size of the collection.

Specified by:
  `getSize` in interface `ICollectionExtractor`
Overrides:
  `getSize` in class `FieldArrayCollectionExtractor`
Parameters:
  `coll` - - the collection to find the size of
Returns:
  the size, or null if not available
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  - `ICollectionExtractor.hasSize()`